LibreOffice LibreOffice 25.8 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
ChartTwoAxisXSupplier Service Referencepublished

a helper service for chart documents which supply primary and secondary x-axes. More...

`import"ChartTwoAxisXSupplier.idl";`

Inheritance diagram for ChartTwoAxisXSupplier:

## Included Services
service | com::sun::star::chart::ChartAxisXSupplier

## Exported Interfaces
interface | com::sun::star::chart::XTwoAxisXSupplier
| offers access to the axis object More...
Exported Interfaces inherited from ChartAxisXSupplier
interface | com::sun::star::chart::XAxisXSupplier
| offers access to the axis object, the title, and the grids More...

## Public Attributes
boolean | HasSecondaryXAxis
| determines if the secondary x-axis is shown or hidden. More...
boolean | HasSecondaryXAxisDescription
| determines for the secondary x-axis if the labels at the tick marks are shown or hidden. More...
boolean | HasSecondaryXAxisTitle
| determines if the title of the secondary X-axis is shown or hidden. More...
Public Attributes inherited from ChartAxisXSupplier
boolean | HasXAxis
| This property determines if the x-axis is shown or hidden. More...
boolean | HasXAxisDescription
| Determines if the description of the x-axis is shown or hidden. More...
boolean | HasXAxisGrid
| Determines if the major grid of the x-axis is shown or hidden. More...
boolean | HasXAxisHelpGrid
| Determines if the minor grid of the x-axis is shown or hidden. More...
boolean | HasXAxisTitle
| Determines if the title of the x-axis is shown or hidden. More...

## Additional Inherited Members
Public Member Functions inherited from XTwoAxisXSupplier
com::sun::star::beans::XPropertySet | getSecondaryXAxis ()
Public Member Functions inherited from XAxisXSupplier
com::sun::star::drawing::XShape | getXAxisTitle ()
com::sun::star::beans::XPropertySet | getXAxis ()
com::sun::star::beans::XPropertySet | getXMainGrid ()
com::sun::star::beans::XPropertySet | getXHelpGrid ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a helper service for chart documents which supply primary and secondary x-axes.

## Exported Interfaces

## ◆ com::sun::star::chart::ChartAxisXSupplier

service com::sun::star::chart::ChartAxisXSupplier

## Exported Interfaces

## ◆ com::sun::star::chart::XTwoAxisXSupplier

interface com::sun::star::chart::XTwoAxisXSupplier

offers access to the axis object

## Member Data Documentation

## ◆ HasSecondaryXAxis

boolean HasSecondaryXAxis
| property

determines if the secondary x-axis is shown or hidden.

See also
  ChartAxis

## ◆ HasSecondaryXAxisDescription

boolean HasSecondaryXAxisDescription
| property

determines for the secondary x-axis if the labels at the tick marks are shown or hidden.

## ◆ HasSecondaryXAxisTitle

boolean HasSecondaryXAxisTitle
| optional property

determines if the title of the secondary X-axis is shown or hidden.

See also
  ChartTitle

Since
  OOo 3.0

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartTwoAxisXSupplier.idl